package com.unis.base.server.dao;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.unis.base.server.entity.TyHlyz;
import com.unis.base.server.example.TyHlyzExample;

public interface TyHlyzDao {
    int countByExample(TyHlyzExample example);

    int deleteByExample(TyHlyzExample example);

    int insert(TyHlyz record);

    int insertSelective(TyHlyz record);

    List<TyHlyz> selectByExample(TyHlyzExample example);

    int updateByExampleSelective(@Param("record") TyHlyz record, @Param("example") TyHlyzExample example);

    int updateByExample(@Param("record") TyHlyz record, @Param("example") TyHlyzExample example);

	List<TyHlyz> selectByPp(String id);

}